-- name: [CS] Extra Nandroids
-- description: The other main Nandroids from Emmy the Robot, plus three Fandroids! Model by: beanbagdraws

local E_MODEL_AMY = smlua_model_util_get_id("amy_geo")
local E_MODEL_FRANNY = smlua_model_util_get_id("franny_geo")
local E_MODEL_LULU = smlua_model_util_get_id("lulu_geo")
local E_MODEL_MOLLY = smlua_model_util_get_id("molly_geo")
local E_MODEL_POLLY = smlua_model_util_get_id("polly_geo")
local E_MODEL_TABBY = smlua_model_util_get_id("tabby_geo")
local E_MODEL_WENDY = smlua_model_util_get_id("wendy_geo")

local TEXT_MOD_NAME = "Extra Nandroids"

local TEX_AMY = get_texture_info("amy-icon")
local TEX_FRANNY = get_texture_info("franny-icon")
local TEX_LULU = get_texture_info("lulu-icon")
local TEX_MOLLY = get_texture_info("molly-icon")
local TEX_POLLY = get_texture_info("polly-icon")
local TEX_TABBY = get_texture_info("tabby-icon")
local TEX_WENDY = get_texture_info("wendy-icon")

if _G.charSelectExists then
    _G.charSelect.character_add("Amy", {"The ditzy robot", "from the webcomic", "Emmy the Robot"}, "beanbag & Neppy", {r = 176, g = 224, b = 230}, E_MODEL_AMY, CT_MARIO, TEX_AMY)
    _G.charSelect.character_add("Franny", {"The frazzled robot", "from the webcomic", "Emmy the Robot"}, "beanbag & Neppy", {r = 176, g = 224, b = 230}, E_MODEL_FRANNY, CT_MARIO, TEX_FRANNY)
    _G.charSelect.character_add("Lulu", {"The sweet robot", "an Emmy the Robot", "fan-character"}, "beanbag & Neppy", {r = 176, g = 224, b = 230}, E_MODEL_LULU, CT_MARIO, TEX_LULU)
    _G.charSelect.character_add("Molly", {"The sassy robot", "from the webcomic", "Emmy the Robot"}, "beanbag & Neppy", {r = 176, g = 224, b = 230}, E_MODEL_MOLLY, CT_MARIO, TEX_MOLLY)
    _G.charSelect.character_add("Polly", {"The chic robot", "from the webcomic", "Emmy the Robot"}, "beanbag & Neppy", {r = 176, g = 224, b = 230}, E_MODEL_POLLY, CT_MARIO, TEX_POLLY)
    _G.charSelect.character_add("Tabby", {"The smug robot", "an Emmy the Robot", "fan-character"}, "beanbag & Neppy", {r = 176, g = 224, b = 230}, E_MODEL_TABBY, CT_MARIO, TEX_TABBY)
    _G.charSelect.character_add("Wendy", {"The motherly robot", "an Emmy the Robot", "fan-character"}, "beanbag & Neppy", {r = 176, g = 224, b = 230}, E_MODEL_WENDY, CT_MARIO, TEX_WENDY)
else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end